import React from 'react';
import { connect } from 'umi';
import MonthEndingClosingComponent from '../../../components/CommonElementEvent/MonthEndingClosing';

function monthEndingClosing({ dispatch, app, content }) {
  function removePane(changePanes, currentPane) {
    dispatch({ type: 'app/removePane', payload: { changePanes, currentPane } });
  }

  function removeModalPan(changePanes) {
    dispatch({ type: 'app/removeModalPane', payload: { changePanes } });
  }

  function addPane(pane) {
    dispatch({ type: 'app/addPane', payload: { pane } });
  }

  const machineProps = {
    app,
    content,
    dispatch,
    onAddPane: addPane,
    onRemovePane: removePane,
    onRemoveModalPane: removeModalPan,
  };

  return (
    <MonthEndingClosingComponent {...machineProps} />
  );
}

export default connect(({ app, content }) =>
  ({ app, content }))(monthEndingClosing);
